Creates file attachments in Jamf Pro

Creates file attachments in Jamf Pro. Example: curl -k https://my.server.com:8443/JSSResource/fileuploads/computers/id/2 -F name=@/path/to/Sample.doc -X POST

Required Permissions: create:pro:file-uploads

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The tenant UUID identifier

string
enum
required

Resource to attach the file to

string
enum
required

Name is supported for all but the peripherals resource

Allowed:
string
required
Query Params
boolean

Uploads the .ipa to Jamf Cloud Distribution Service instead of the Jamf Pro database. Only supported for Jamf Cloud customers and the mobiledeviceapplicationsipa resource.

Response
201

Created

Language
Credentials
OAuth2
URL
LoadingLoading…